from enigma.machine import EnigmaMachine

# setup machine according to specs from a daily key sheet:

rotors = 'II V I'

machine = EnigmaMachine.from_key_sheet(
    rotors=rotors,
    reflector='B',
    ring_settings=[12, 3, 5],
    plugboard_settings='')

cipher = machine.process_text('WIEXSCHOENXDOCHXDASXWETTERXHEUTEXISTXDENXGANZENXTAGXREGENXDERXVOUCHERXISTXALANTURING')

print(cipher)

